import "package:flutter/material.dart";
import "package:flutter_feedback/flutter_feedback.dart";

///
Future<void> feedbackPopupLauncher({
  required BuildContext context,
  FeedbackService? feedbackService,
  int? showCount,
  VoidCallback? onGoodRating,
}) async {
  feedbackService ??= FeedbackService();
  showCount ??= 5;
  var showPopup =
      await feedbackService.shouldShowFeedbackPopup(showCount: showCount);

  if (showPopup && context.mounted) {
    await showFeedbackBottomSheet(
      context: context,
      onFeedback: (report) async {
        await feedbackService!.sendFeedback(feedback: report);
      },
      onGoodRating: onGoodRating,
    );
  }
}
