import "package:flutter/material.dart";
import "package:flutter_settings/flutter_settings.dart";

///
class FeedbackConfiguration {
  ///
  const FeedbackConfiguration({
    this.privacyPolicyControls,
    this.termsOfServiceControls,
    this.feedbackControls,
    this.aboutUsControls,
    this.onTapAboutUs,
    this.onTapPrivacyPolicy,
    this.onTapTermsOfService,
    this.onTapFeedback,
    this.privacyPolicyUrl = "https://iconica.app/privacy-en-cookieverklaring/",
    this.termsOfServiceUrl =
        "https://iconica.app/disclaimer-en-algemene-voorwaarden",
    this.selectIssueCategory = true,
    this.reportIssueControls,
    this.onTapReportIssue,
    this.logoUrl = "assets/iconica-logo.png",
    this.showBuildNumber = true,
    this.useAbout = true,
    this.useFeedback = true,
    this.useStoreReview = false,
    this.appStoreId,
    this.customImage,
  })  : assert(
          privacyPolicyControls == null || onTapPrivacyPolicy == null,
          "privacyPolicyControls and onTapPrivacyPolicy cannot both be"
          " non-null at the same time",
        ),
        assert(
          termsOfServiceControls == null || onTapTermsOfService == null,
          "termsOfServiceControls and onTapTermsOfService cannot both be"
          " non-null at the same time",
        ),
        assert(
          feedbackControls == null || onTapFeedback == null,
          "feedbackControls and onTapFeedback cannot both be non-null at the"
          " same time",
        ),
        assert(
          reportIssueControls == null || onTapReportIssue == null,
          "reportIssueControls and onTapReportIssue cannot both be non-null"
          " at the same time",
        );

  ///
  final String privacyPolicyUrl;

  ///
  final String termsOfServiceUrl;

  ///
  final List<Control>? aboutUsControls;

  ///
  final List<Control>? privacyPolicyControls;

  ///
  final List<Control>? termsOfServiceControls;

  ///
  final List<Control>? feedbackControls;

  ///
  final List<Control>? reportIssueControls;

  ///
  final Function()? onTapAboutUs;

  ///
  final Function()? onTapPrivacyPolicy;

  ///
  final Function()? onTapTermsOfService;

  ///
  final Function()? onTapFeedback;

  ///
  final Function()? onTapReportIssue;

  ///
  final bool selectIssueCategory;

  ///
  final String logoUrl;

  ///
  final bool showBuildNumber;

  ///
  final bool useAbout;

  ///
  final bool useFeedback;

  ///
  final bool useStoreReview;

  ///
  final String? appStoreId;

  ///
  final Widget? customImage;
}
