import "package:flutter/material.dart";
import "package:flutter_feedback/flutter_feedback.dart";
import "package:flutter_feedback/src/widgets/about_us_explainer_widget.dart";
import "package:flutter_feedback/src/widgets/about_us_header_explainer.dart";

///
Control aboutUs({required FeedbackTranslations translations}) {
  return Control.custom(
    key: "about_us_page",
    content: SingleChildScrollView(
      child: Padding(
        padding: const EdgeInsets.all(24),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            AboutUsHeaderExplainer(
              explainerText: translations.aboutUsHeaderExplainer,
            ),
            const SizedBox(
              height: 24,
            ),
            AboutUsExplainerWidget(
              title: translations.aboutUsExplainerTitleOne,
              explainer: translations.aboutUsExplainerOne,
            ),
            const SizedBox(
              height: 20,
            ),
            AboutUsExplainerWidget(
              title: translations.aboutUsExplainerTitleTwo,
              explainer: translations.aboutUsExplainerTwo,
            ),
          ],
        ),
      ),
    ),
  );
}
