import "package:flutter/material.dart";
import "package:flutter_feedback/flutter_feedback.dart";
import "package:package_info_plus/package_info_plus.dart";

///
class AboutFooter extends StatefulWidget {
  ///
  const AboutFooter({
    required this.versiontranslation,
    required this.configuration,
    super.key,
  });

  ///
  final String versiontranslation;

  ///
  final FeedbackConfiguration configuration;

  @override
  State<AboutFooter> createState() => _AboutFooterState();
}

class _AboutFooterState extends State<AboutFooter> {
  PackageInfo? packageInfo;
  @override
  void initState() {
    WidgetsBinding.instance.addPostFrameCallback((_) async {
      packageInfo = await PackageInfo.fromPlatform();
      setState(() {});
    });
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    var theme = Theme.of(context);
    return Padding(
      padding: const EdgeInsets.symmetric(vertical: 20),
      child: Column(
        children: [
          widget.configuration.customImage ??
              Padding(
                padding: const EdgeInsets.symmetric(horizontal: 128),
                child: Image.asset(
                  widget.configuration.logoUrl,
                  package: "flutter_feedback",
                ),
              ),
          const SizedBox(height: 20),
          Text(
            "${widget.versiontranslation} ${packageInfo?.version ?? "?"}"
            // ignore: lines_longer_than_80_chars
            "${widget.configuration.showBuildNumber ? " +${packageInfo?.buildNumber}" : ""}",
            style: theme.textTheme.bodySmall,
          ),
        ],
      ),
    );
  }
}
