import "package:flutter/material.dart";

///
class DefaultButton extends StatelessWidget {
  ///
  const DefaultButton({
    required this.buttonText,
    required this.onPressed,
    super.key,
  });

  ///
  final String buttonText;

  ///
  final Function() onPressed;

  @override
  Widget build(BuildContext context) {
    var theme = Theme.of(context);
    return FilledButton(
      onPressed: onPressed,
      child: Padding(
        padding: const EdgeInsets.all(
          8,
        ),
        child: Text(
          buttonText,
          style: theme.textTheme.displayLarge,
        ),
      ),
    );
  }
}
