import "package:flutter/material.dart";
import "package:flutter_feedback/src/config/feedback_translations.dart";

///
class IssueCategorySelecter extends StatefulWidget {
  ///
  const IssueCategorySelecter({
    required this.translations,
    required this.onCategorySelected,
    super.key,
  });

  ///
  final FeedbackTranslations translations;

  ///
  final Function(String value) onCategorySelected;

  @override
  State<IssueCategorySelecter> createState() => _RadiobuttonsState();
}

class _RadiobuttonsState extends State<IssueCategorySelecter> {
  String? _selectedValue;

  @override
  Widget build(BuildContext context) {
    var translations = widget.translations;
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        _radioButton(translations.issueOne, (value) {
          widget.onCategorySelected(value);
        }),
        _radioButton(translations.issueTwo, (value) {
          widget.onCategorySelected(value);
        }),
        _radioButton(translations.issueThree, (value) {
          widget.onCategorySelected(value);
        }),
        _radioButton(translations.issueFour, (value) {
          widget.onCategorySelected(value);
        }),
        _radioButton(translations.other, (value) {
          widget.onCategorySelected(value);
        }),
      ],
    );
  }

  Widget _radioButton(String title, Function(String value)? onTap) {
    return Row(
      children: [
        Radio<String>(
          visualDensity: const VisualDensity(
            horizontal: -4,
            vertical: -2,
          ),
          value: title,
          groupValue: _selectedValue,
          onChanged: (value) {
            setState(() {
              _selectedValue = value;
            });
            if (_selectedValue != null) {
              onTap?.call(_selectedValue!);
            }
          },
        ),
        const SizedBox(
          width: 4,
        ),
        Text(title),
      ],
    );
  }
}
