import "package:flutter/material.dart";

///
class StarRating extends StatefulWidget {
  ///
  const StarRating({
    required this.onRatingChanged,
    this.starCount = 5,
    super.key,
  });

  ///
  final ValueChanged<int> onRatingChanged;

  ///
  final int starCount;

  @override
  State<StarRating> createState() => _StarRatingState();
}

class _StarRatingState extends State<StarRating> {
  int currentRating = 0;

  @override
  Widget build(BuildContext context) {
    var theme = Theme.of(context);

    return Row(
      mainAxisSize: MainAxisSize.min,
      children: List.generate(widget.starCount, (index) {
        var iconColor =
            index < currentRating ? theme.colorScheme.primary : Colors.grey;

        return GestureDetector(
          onTap: () {
            widget.onRatingChanged(index + 1);
            setState(() {
              currentRating = index + 1;
            });
          },
          child: Icon(
            Icons.star,
            color: iconColor,
            size: 40.0,
          ),
        );
      }),
    );
  }
}
